Package Gnumed :: Package business :: Module gmForms :: Class cFormEngine |
[frames] | no frames]

# Class cFormEngine

source code

    object --+
             |
            cFormEngine

Ancestor for forms.

Instance Methods
__init__(self, template_file=None) x.__init__(...) initializes x; see x.__class__.__doc__ for signature | source code
substitute_placeholders(self, data_source=None) Parse the template into an instance and replace placeholders with values. | source code
edit(self) Allow editing the instance of the template. | source code
generate_output(self, format=None) Generate output suitable for further processing outside this class, e.g. | source code
process(self, data_source=None) Merge values into the form template. | source code
cleanup(self) A sop to TeX which can't act as a true filter: to delete temporary files | source code
exe(self, command) Executes the provided command. | source code
store(self, params=None) Stores the parameters in the backend. | source code
Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, template_file=None) (Constructor) | source code
x.__init__(...) initializes x; see x.__class__.__doc__ for signature Overrides: object.__init__ (inherited documentation)

### generate_output(self, format=None) | source code
Generate output suitable for further processing outside this class, e.g. printing.

### exe(self, command) | source code
Executes the provided command. If command cotains %F. it is substituted with the filename Otherwise, the file is fed in on stdin

### store(self, params=None) | source code
    Stores the parameters in the backend.

    - link_obj can be a cursor, a connection or a service name
    - assigning a cursor to link_obj allows the calling code to
      group the call to store() into an enclosing transaction
      (for an example see gmReferral.send_referral()...)